import { ComponentFixture, TestBed } from '@angular/core/testing';

import { PeriodicTaskLogDetailsComponent } from './periodic-task-log-details.component';
import { RouterTestingModule } from '@angular/router/testing';
import { HttpClientTestingModule } from '@angular/common/http/testing';

describe('PeriodicTaskLogDetailsComponent', () => {
  let component: PeriodicTaskLogDetailsComponent;
  let fixture: ComponentFixture<PeriodicTaskLogDetailsComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [PeriodicTaskLogDetailsComponent],
      imports: [RouterTestingModule, HttpClientTestingModule],
    })
      .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(PeriodicTaskLogDetailsComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
